%global rev 40

Name:       cerbere
Version:    0.1
Release:    0.1.r%{rev}%{?dist}
Summary:    A simple service to start up and relaunch shell components 

Group:      Hmm
License:    GPLv3
URL:        http://elementaryos.org/docs/packaging/pantheon/cerbere
Source0:    https://launchpad.net/~elementary-os/+archive/daily/+files/%{name}_%{version}+r%{rev}-0+pkg12~raring1.tar.gz

BuildRequires:      cmake
BuildRequires:      vala
BuildRequires:      gobject-introspection-devel
BuildRequires:      libgee06-devel
BuildRequires:      glib2-devel
#Requires:   

%description
Cerbere reads the apps to start up from
org.elementary.cerbere.settings.desktop-components in GSettings, launches them,
and relaunches them if they crash.
It was created because gnome-session is over-complicated and poorly maintained,
but we had to stick to it to make our GNOME bits work. So, if you use a decent
session manager, you probably won't need Cerbere at all. If you don't, make
your session manager start Cerbere in the appropriate X sessions. 

%prep
%setup -q -n recipe-{debupstream}+r{revno}-0+pkg{revno:packaging}

%build
%cmake .
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%postun
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%{_bindir}/cerbere
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.pantheon.cerbere.gschema.xml

%changelog
* Sat May 25 2013 Wesley Hearn <whearn@redhat.com> - 0.1.0.1.r40
- Initial Package
